Debian Bug report logs - #695411
r-base-core: Fails to load built-in datasets on armel

version graph

Package: r-base-core; Maintainer for r-base-core is Dirk Eddelbuettel <edd@debian.org>; Source for r-base-core is src:r-base.

Reported by: Johannes Ranke <jranke@uni-bremen.de>

Date: Fri, 7 Dec 2012 20:18:02 UTC

Severity: normal

Found in versions r-base/2.15.2-1, 3.0.1-3~squeezecran3.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Fri, 07 Dec 2012 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
New Bug report received and forwarded. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Fri, 07 Dec 2012 20:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: r-base-core: Fails to load built-in datasets on armel
Date: Fri, 07 Dec 2012 20:16:18 +0000
Package: r-base-core
Version: 2.15.2-1
Severity: normal

Hi Dirk,

while checking if R could be useful on my NAS, I noticed that the built-in
datasets are not loaded. I am writing this bug report from a fresh sid chroot
environment.

A short version of the session I just had:

	R version 2.15.2 (2012-10-26) -- "Trick or Treat"
	Copyright (C) 2012 The R Foundation for Statistical Computing
	ISBN 3-900051-07-0
	Platform: arm-unknown-linux-gnueabi (32-bit)

	[snip]

	> stackloss
	Fehler: Objekt 'stackloss' nicht gefunden
	> data(stackloss)
	Warning message:
	In data(stackloss) : data set 'stackloss' not found
	> data()
	no data sets found

	[snip]

However, the datasets are all there

	$ ls /usr/lib/R/library/datasets/data/
	AirPassengers.R   JohnsonJohnson.R    UCBAdmissions.R          airquality.tab  eurodist.R  nottem.R              sunspot.year.R
	BJsales.R         LakeHuron.R         UKDriverDeaths.R         anscombe.R      faithful.R  occupationalStatus.R  sunspots.R
	BOD.R             LifeCycleSavings.R  UKLungDeaths.R           attenu.R        freeny.R    precip.R              swiss.tab
	CO2.rda           Loblolly.R          UKgas.R                  attitude.R      infert.R    presidents.R          treering.R
	ChickWeight.R     Nile.R              USAccDeaths.R            austres.R       iris.R      pressure.R            trees.R
	DNase.R           Orange.R            USArrests.tab            beavers.R       iris3.R     quakes.tab            uspop.R
	EuStockMarkets.R  OrchardSprays.R     USJudgeRatings.R         cars.R          islands.R   randu.R               volcano.R
	Formaldehyde.R    PlantGrowth.R       USPersonalExpenditure.R  chickwts.R      lh.R        rivers.R              warpbreaks.R
	HairEyeColor.R    Puromycin.R         VADeaths.R               co2.R           longley.R   rock.tab              women.R
	Harman23.cor.R    Seatbelts.R         WWWusage.R               crimtab.rda     lynx.R      sleep.R
	Harman74.cor.R    Theoph.R            WorldPhones.R            discoveries.R   morley.tab  stackloss.R
	Indometh.R        Titanic.R           ability.cov.R            esoph.R         mtcars.R    state.R
	InsectSprays.R    ToothGrowth.R       airmiles.R               euro.R          nhtemp.R    sunspot.month.R

Trying to help data() does not help:

	> data(stackloss, package = "datasets", lib.loc = "/usr/lib/R/library")
	Warning message:
	In data(stackloss, package = "datasets", lib.loc = "/usr/lib/R/library") :
	  data set 'stackloss' not found

Some additional information that may or may not help: Strangely enough, an R
2.15.2 backport to squeeze on this same box does not do lazy-loading either,
but at least finds the dataset using data():

	> stackloss
	Fehler: Objekt 'stackloss' nicht gefunden
	> data(stackloss)
	> head(stackloss)
	  Air.Flow Water.Temp Acid.Conc. stack.loss
	1       80         27         89         42
	2       80         27         88         37
	3       75         25         90         37
	4       62         24         87         28
	5       62         22         87         18
	6       62         23         87         18

Any idea? Let me know what I can do to help.

Cheers,

Johannes


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages r-base-core depends on:
ii  libblas3 [libblas.so.3]      1.2.20110419-5
ii  libbz2-1.0                   1.0.6-4
ii  libc6                        2.13-37
ii  libcairo2                    1.12.2-2
ii  libgcc1                      1:4.7.2-4
ii  libgfortran3                 4.7.2-4
ii  libglib2.0-0                 2.33.12+really2.32.4-3
ii  libgomp1                     4.7.2-4
ii  libice6                      2:1.0.8-2
ii  libjpeg8                     8d-1
ii  liblapack3 [liblapack.so.3]  3.4.1-6
ii  liblzma5                     5.1.1alpha+20120614-2
ii  libpango1.0-0                1.30.0-1
ii  libpaper-utils               1.1.24+nmu2
ii  libpcre3                     1:8.31-1
ii  libpng12-0                   1.2.49-3
ii  libreadline6                 6.2-9
ii  libsm6                       2:1.2.1-2
ii  libtiff4                     3.9.6-9
ii  libx11-6                     2:1.5.0-1
ii  libxext6                     2:1.3.1-2
ii  libxss1                      1:1.2.2-1
ii  libxt6                       1:1.1.3-1
ii  tcl8.5                       8.5.11-2
ii  tk8.5                        8.5.11-2
ii  ucf                          3.0025+nmu3
ii  unzip                        6.0-8
ii  xdg-utils                    1.1.0~rc1+git20111210-6
ii  zip                          3.0-6
ii  zlib1g                       1:1.2.7.dfsg-13

Versions of packages r-base-core recommends:
ii  r-base-dev     2.15.2-1
ii  r-doc-html     2.15.2-1
ii  r-recommended  2.15.2-1

Versions of packages r-base-core suggests:
pn  ess                     <none>
pn  r-base-html             <none>
pn  r-doc-info | r-doc-pdf  <none>
pn  r-mathlib               <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Fri, 07 Dec 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Fri, 07 Dec 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>, 695411@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Fri, 7 Dec 2012 14:31:55 -0600
On 7 December 2012 at 20:16, Johannes Ranke wrote:
| Package: r-base-core
| Version: 2.15.2-1
| Severity: normal
| 
| Hi Dirk,
| 
| while checking if R could be useful on my NAS, I noticed that the built-in
| datasets are not loaded. I am writing this bug report from a fresh sid chroot
| environment.

Yikes!
 
| A short version of the session I just had:
| 
| 	R version 2.15.2 (2012-10-26) -- "Trick or Treat"
| 	Copyright (C) 2012 The R Foundation for Statistical Computing
| 	ISBN 3-900051-07-0
| 	Platform: arm-unknown-linux-gnueabi (32-bit)
| 
| 	[snip]
| 
| 	> stackloss
| 	Fehler: Objekt 'stackloss' nicht gefunden
| 	> data(stackloss)
| 	Warning message:
| 	In data(stackloss) : data set 'stackloss' not found
| 	> data()
| 	no data sets found
| 
| 	[snip]
| 
| However, the datasets are all there
| 
| 	$ ls /usr/lib/R/library/datasets/data/
| 	AirPassengers.R   JohnsonJohnson.R    UCBAdmissions.R          airquality.tab  eurodist.R  nottem.R              sunspot.year.R
| 	BJsales.R         LakeHuron.R         UKDriverDeaths.R         anscombe.R      faithful.R  occupationalStatus.R  sunspots.R
| 	BOD.R             LifeCycleSavings.R  UKLungDeaths.R           attenu.R        freeny.R    precip.R              swiss.tab
| 	CO2.rda           Loblolly.R          UKgas.R                  attitude.R      infert.R    presidents.R          treering.R
| 	ChickWeight.R     Nile.R              USAccDeaths.R            austres.R       iris.R      pressure.R            trees.R
| 	DNase.R           Orange.R            USArrests.tab            beavers.R       iris3.R     quakes.tab            uspop.R
| 	EuStockMarkets.R  OrchardSprays.R     USJudgeRatings.R         cars.R          islands.R   randu.R               volcano.R
| 	Formaldehyde.R    PlantGrowth.R       USPersonalExpenditure.R  chickwts.R      lh.R        rivers.R              warpbreaks.R
| 	HairEyeColor.R    Puromycin.R         VADeaths.R               co2.R           longley.R   rock.tab              women.R
| 	Harman23.cor.R    Seatbelts.R         WWWusage.R               crimtab.rda     lynx.R      sleep.R
| 	Harman74.cor.R    Theoph.R            WorldPhones.R            discoveries.R   morley.tab  stackloss.R
| 	Indometh.R        Titanic.R           ability.cov.R            esoph.R         mtcars.R    state.R
| 	InsectSprays.R    ToothGrowth.R       airmiles.R               euro.R          nhtemp.R    sunspot.month.R
| 
| Trying to help data() does not help:
| 
| 	> data(stackloss, package = "datasets", lib.loc = "/usr/lib/R/library")
| 	Warning message:
| 	In data(stackloss, package = "datasets", lib.loc = "/usr/lib/R/library") :
| 	  data set 'stackloss' not found
| 
| Some additional information that may or may not help: Strangely enough, an R
| 2.15.2 backport to squeeze on this same box does not do lazy-loading either,
| but at least finds the dataset using data():
| 
| 	> stackloss
| 	Fehler: Objekt 'stackloss' nicht gefunden
| 	> data(stackloss)
| 	> head(stackloss)
| 	  Air.Flow Water.Temp Acid.Conc. stack.loss
| 	1       80         27         89         42
| 	2       80         27         88         37
| 	3       75         25         90         37
| 	4       62         24         87         28
| 	5       62         22         87         18
| 	6       62         23         87         18
| 
| Any idea? Let me know what I can do to help.

Hm. 

Sounds like we'd need an arm box to do development on to look at the R code /
metadata ?

Dirk
 
| Cheers,
| 
| Johannes
| 
| 
| -- System Information:
| Debian Release: wheezy/sid
|   APT prefers unstable
|   APT policy: (500, 'unstable')
| Architecture: armel (armv5tel)
| 
| Kernel: Linux 2.6.32-5-kirkwood
| Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
| Shell: /bin/sh linked to /bin/dash
| 
| Versions of packages r-base-core depends on:
| ii  libblas3 [libblas.so.3]      1.2.20110419-5
| ii  libbz2-1.0                   1.0.6-4
| ii  libc6                        2.13-37
| ii  libcairo2                    1.12.2-2
| ii  libgcc1                      1:4.7.2-4
| ii  libgfortran3                 4.7.2-4
| ii  libglib2.0-0                 2.33.12+really2.32.4-3
| ii  libgomp1                     4.7.2-4
| ii  libice6                      2:1.0.8-2
| ii  libjpeg8                     8d-1
| ii  liblapack3 [liblapack.so.3]  3.4.1-6
| ii  liblzma5                     5.1.1alpha+20120614-2
| ii  libpango1.0-0                1.30.0-1
| ii  libpaper-utils               1.1.24+nmu2
| ii  libpcre3                     1:8.31-1
| ii  libpng12-0                   1.2.49-3
| ii  libreadline6                 6.2-9
| ii  libsm6                       2:1.2.1-2
| ii  libtiff4                     3.9.6-9
| ii  libx11-6                     2:1.5.0-1
| ii  libxext6                     2:1.3.1-2
| ii  libxss1                      1:1.2.2-1
| ii  libxt6                       1:1.1.3-1
| ii  tcl8.5                       8.5.11-2
| ii  tk8.5                        8.5.11-2
| ii  ucf                          3.0025+nmu3
| ii  unzip                        6.0-8
| ii  xdg-utils                    1.1.0~rc1+git20111210-6
| ii  zip                          3.0-6
| ii  zlib1g                       1:1.2.7.dfsg-13
| 
| Versions of packages r-base-core recommends:
| ii  r-base-dev     2.15.2-1
| ii  r-doc-html     2.15.2-1
| ii  r-recommended  2.15.2-1
| 
| Versions of packages r-base-core suggests:
| pn  ess                     <none>
| pn  r-base-html             <none>
| pn  r-doc-info | r-doc-pdf  <none>
| pn  r-mathlib               <none>
| 
| -- no debconf information

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Fri, 07 Dec 2012 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Fri, 07 Dec 2012 20:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Fri, 07 Dec 2012 23:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Fri, 07 Dec 2012 23:12:06 GMT) Full text and rfc822 format available.

Message #20 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Fri, 7 Dec 2012 23:45:02 +0100
> | 	> stackloss
> | 	Fehler: Objekt 'stackloss' nicht gefunden
> | 	> data(stackloss)
> | 	Warning message:
> | 	In data(stackloss) : data set 'stackloss' not found
> | 	no data sets found

> | Any idea? Let me know what I can do to help.
> 
> Hm.
> 
> Sounds like we'd need an arm box to do development on to look at the R code
> / metadata ?

(sorry for the delay, I was on the phone for quite a while)

Well, I believe I could let you log into my NAS if I I configure my router 
appropriately :) It is running Debian stable and the abovementioned sid 
chroot.

Meanwhile, I have had a go at debugging using debug(). The problem appears in 
the function fileExt defined in the very beginning of data().

    fileExt <- function(x) {
        db <- grepl("\\.[^.]+\\.(gz|bz2|xz)$", x)
        ans <- sub(".*\\.", "", x)
        ans[db] <- sub(".*\\.([^.]+\\.)(gz|bz2|xz)$", "\\1\\2", 
            x[db])
        ans
    }

Guess what, adding perl=TRUE to the second line gives the right extension.

I just verified that after

> fix(data)

and doing the abovementioned change using my favorite text editor

I can load the data using

> data(stackloss)

However, I do not fully understand what the code does (the first line results 
in db being FALSE, and I do not see how it makes sense later to index ans 
using FALSE...)

So I have the feeling maybe it should be discussed upstream why regular 
expressions on arm behave so different (broken) and what should be done about 
it (use PCRE, considering Adam Conrads viewpoint on #679180 ?).

Beware that lazyloading still does not work after this workaround.

Cheers,

Johannes









Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Fri, 07 Dec 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Fri, 07 Dec 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>
Cc: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Fri, 7 Dec 2012 17:24:40 -0600
On 7 December 2012 at 23:45, Johannes Ranke wrote:
| > | 	> stackloss
| > | 	Fehler: Objekt 'stackloss' nicht gefunden
| > | 	> data(stackloss)
| > | 	Warning message:
| > | 	In data(stackloss) : data set 'stackloss' not found
| > | 	no data sets found
| 
| > | Any idea? Let me know what I can do to help.
| > 
| > Hm.
| > 
| > Sounds like we'd need an arm box to do development on to look at the R code
| > / metadata ?
| 
| (sorry for the delay, I was on the phone for quite a while)
| 
| Well, I believe I could let you log into my NAS if I I configure my router 
| appropriately :) It is running Debian stable and the abovementioned sid 
| chroot.
| 
| Meanwhile, I have had a go at debugging using debug(). The problem appears in 
| the function fileExt defined in the very beginning of data().
| 
|     fileExt <- function(x) {
|         db <- grepl("\\.[^.]+\\.(gz|bz2|xz)$", x)
|         ans <- sub(".*\\.", "", x)
|         ans[db] <- sub(".*\\.([^.]+\\.)(gz|bz2|xz)$", "\\1\\2", 
|             x[db])
|         ans
|     }
| 
| Guess what, adding perl=TRUE to the second line gives the right extension.

Ohhh, well done, that rings a bell regarding other arm* bugs with R.
 
| I just verified that after
| 
| > fix(data)
| 
| and doing the abovementioned change using my favorite text editor
| 
| I can load the data using
| 
| > data(stackloss)
| 
| However, I do not fully understand what the code does (the first line results 
| in db being FALSE, and I do not see how it makes sense later to index ans 
| using FALSE...)
| 
| So I have the feeling maybe it should be discussed upstream why regular 
| expressions on arm behave so different (broken) and what should be done about 
| it (use PCRE, considering Adam Conrads viewpoint on #679180 ?).

R Core is not too responsive these days to postings on r-devel. Maybe we
should crystalize this into a written bug report for their bugzilla system?
I did file something there and it did get picked up...

arm* may matter more with Chromebooks and all that bringing volume to the
architecture. People may hack more on it... 

Dirk

 
| Beware that lazyloading still does not work after this workaround.
| 
| Cheers,
| 
| Johannes
| 
| 
| 
| 
| 
| 

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Sat, 08 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Sat, 08 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Sat, 8 Dec 2012 01:52:25 +0100
> | So I have the feeling maybe it should be discussed upstream why regular
> | expressions on arm behave so different (broken) and what should be done
> | about it (use PCRE, considering Adam Conrads viewpoint on #679180 ?).
> 
> R Core is not too responsive these days to postings on r-devel. Maybe we
> should crystalize this into a written bug report for their bugzilla system?
> I did file something there and it did get picked up...

I just found a bug report with the same symptoms in the bugzilla

http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087

and added the link to here.

> 
> arm* may matter more with Chromebooks and all that bringing volume to the
> architecture. People may hack more on it...

Yes, may well be...

> | Beware that lazyloading still does not work after this workaround.
> | 
> | Cheers,
> | 
> | Johannes




Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Thu, 13 Dec 2012 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Thu, 13 Dec 2012 20:51:05 GMT) Full text and rfc822 format available.

Message #35 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: 695411@bugs.debian.org
Cc: Dirk Eddelbuettel <edd@debian.org>
Subject: Re: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Thu, 13 Dec 2012 21:46:22 +0100
> I just found a bug report with the same symptoms in the bugzilla
> 
> http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
> 
> and added the link to here.

I added some more information on the bug in the R bugzilla, documenting that 
the sub() function behaves correctly when R 2.15.2 is compiled on Debian 
stable, while it is buggy when compiled on Debian unstable (both armel 
platform).



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Fri, 14 Dec 2012 04:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Fri, 14 Dec 2012 04:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>
Cc: 695411@bugs.debian.org, Dirk Eddelbuettel <edd@debian.org>
Subject: Re: Bug#695411: r-base-core: Fails to load built-in datasets on armel
Date: Thu, 13 Dec 2012 21:59:40 -0600
On 13 December 2012 at 21:46, Johannes Ranke wrote:
| > I just found a bug report with the same symptoms in the bugzilla
| > 
| > http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
| > 
| > and added the link to here.
| 
| I added some more information on the bug in the R bugzilla, documenting that 
| the sub() function behaves correctly when R 2.15.2 is compiled on Debian 
| stable, while it is buggy when compiled on Debian unstable (both armel 
| platform).

Thanks for that added information.  A little worrying that the change is for
the worse under unstable though...

Dirk

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Mon, 07 Jan 2013 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 07 Jan 2013 21:36:05 GMT) Full text and rfc822 format available.


Message #45 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Debian Bug Tracking System <695411@bugs.debian.org>
bit over my head. As a reminder, the problem is this: 
Message-ID: <20130107213444.6883.35009.reportbug@qnap.local>
X-Mailer: reportbug 4.12.6
Date: Mon, 07 Jan 2013 22:34:44 +0100

R 2.15.2 compiled on Debian stable:

> sub(".*\\.", "", "/path/to/file.ext")
[1] "ext"

R 2.15.2 compiled in a Debian unstable chroot:

> sub(".*\\.", "", "/path/to/file.ext")
[1] "/path/to/fileext"



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Mon, 07 Jan 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Mon, 07 Jan 2013 21:51:04 GMT) Full text and rfc822 format available.

Message #50 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Debian Bug Tracking System <695411@bugs.debian.org>
Subject: Re: Fails to load built-in datasets on armel
Date: Mon, 07 Jan 2013 22:46:55 +0100
Package: r-base-core
Severity: normal

Sorry for the incomplete message. I had expressed that I think it would be good
to have a test case written in C, that calls tre_regcomp(), tre_regwcomp() and
tre_regexec() in a similar way as do_gsub() would do, which is the C function
being called by sub(). However, I would need some help, as the code in grep.c
appears to be a bit too difficult for me.



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Mon, 07 Jan 2013 22:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Mon, 07 Jan 2013 22:30:06 GMT) Full text and rfc822 format available.

Message #55 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Debian Bug Tracking System <695411@bugs.debian.org>
Subject: Re: Fails to load built-in datasets on armel
Date: Mon, 07 Jan 2013 23:20:35 +0100
[Message part 1 (text/plain, inline)]
Package: r-base-core
Severity: normal

I have started on a test case (attached), but, as mentioned, I did not succeed
to figure out exactly how the tre functions are being called under these
circumstances. Any help would be appreciated.
[tretest.c (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Fri, 11 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Fri, 11 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Message #60 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>, 695411@bugs.debian.org
Subject: Re: Bug#695411: Fails to load built-in datasets on armel
Date: Fri, 11 Jan 2013 12:07:32 -0600
On 7 January 2013 at 23:20, Johannes Ranke wrote:
| Package: r-base-core
| Severity: normal
| 
| I have started on a test case (attached), but, as mentioned, I did not succeed
| to figure out exactly how the tre functions are being called under these
| circumstances. Any help would be appreciated.

I should really try to find some time to give you a hand here....

Appreciate all the work you've done already.

Dirk
 
| ----------------------------------------------------------------------
| #include <stdio.h>
| #include <tre/tre.h>
| 
| int main(int argc, char *argv[])
| {
| 
|   if(argc!=3)
|   {
|     printf("Usage: %s [regexp] [string]\n\n", argv[0]);
|   } else {
|     printf("Regular expression: %s\n", argv[1]);
|     printf("String to search in: %s\n", argv[2]);
|   }
| 
|   regex_t regex;
|   int reti;
|   reti = tre_regcomp(&regex, argv[1], REG_EXTENDED); // Maybe tre_regwcomp() needs to be used here...
|   if (reti) { 
|     fprintf(stderr, "Could not compile regex: %s\n", argv[1]); return(1);
|   }
| 
|   /* Now tre_regexec() would need to be called in the way it is called by do_gsub() from src/main/grep.c in the R sources
|   and the result would need to be returned.
|   */
|   // reti = tre_regexec(&regex, argv[2], 0, NULL, 0);
|  
|   tre_regfree(&regex);
| 
|   return(0);
| }

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com  



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Tue, 27 Aug 2013 19:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Tue, 27 Aug 2013 19:54:05 GMT) Full text and rfc822 format available.

Message #65 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Debian Bug Tracking System <695411@bugs.debian.org>
Subject: r-base-core: Failure depends on locale settings
Date: Tue, 27 Aug 2013 21:21:28 +0200
Package: r-base-core
Version: 3.0.1-3~squeezecran3.0
Severity: normal

The failure to load the datasets, as well as the wrong behaviour of sub depends on 
the locale settings. I get correct behaviour when exporting LANG=de_DE.UTF-8 before 
starting R. R 2.11.1 from squeeze is not affected. However, this happens with my
backports of R 3.0.1 to squeeze as well as in a sid chroot.

<<start transcript>>

(sid)ranke@qnap:~$ echo $LANG

(sid)ranke@qnap:~$ R

R version 3.0.1 (2013-05-16) -- "Good Sport"
Copyright (C) 2013 The R Foundation for Statistical Computing
Platform: arm-unknown-linux-gnueabi (32-bit)

.... some content removed ...

Type 'q()' to quit R.

> data(Loblolly)
Warning message:
In data(Loblolly) : data set 'Loblolly' not found
> quit()
Save workspace image? [y/n/c]: n
(sid)ranke@qnap:~$ export LANG=de_DE.UTF-8
(sid)ranke@qnap:~$ R

R version 3.0.1 (2013-05-16) -- "Good Sport"
Copyright (C) 2013 The R Foundation for Statistical Computing
Platform: arm-unknown-linux-gnueabi (32-bit)

.... some content removed ...

Tippen Sie 'q()', um R zu verlassen.

> data(Loblolly)
> 

<<end transcript>>

I believe the behaviour of sub() (it behaves incorrectly with an empty $LANG)
should not depend on the locale setting. 

For anyone interested, this may or may not be related to R bug

	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=14408

and its duplicate

	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=14984

for which a workaround has been introduced in R 2.14.2. Citing the NEWS file

	There is a partial workaround for errors in the TRE regular-expressions
	engine with named classes and repeat counts of at least 2 in a MBCS
	locale (PR#14408): these are avoided when TRE is in 8-bit mode (e.g. for
	useBytes = TRUE and when all the data are ASCII). 

There is a hint in the R bugzilla that the problem causing this bug (#695411) can be avoided when the
original TRE sources are used instead of the version shipped with R:

	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087 (comment 1)

(all?) changes introduced in the R version of TRE are documented here:

	https://svn.r-project.org/R/trunk/src/extra/tre/R_changes

Some more information can be found in the log files

	svn log -v https://svn.r-project.org/R/trunk/src/extra/tre

Maybe it is also of interest that the TRE author appears to be active again:

	https://github.com/laurikari/tre

At the moment, it seems to me that TRE should not be the default regular
expression engine on ARM, as its behaviour depends on the value of $LANG
(probably only on the character map, UTF-8 or not), leading to this bug, but
most probably also to other problems that may be more difficult to spot.

Kind regards,

Johannes


-- System Information:
Debian Release: 6.0.7
  APT prefers oldstable
  APT policy: (500, 'oldstable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages r-base-core depends on:
ii  libblas3gf [libblas. 1.2-8               Basic Linear Algebra Reference imp
ii  libc6                2.11.3-4            Embedded GNU C Library: Shared lib
ii  libcairo2            1.8.10-6            The Cairo 2D vector graphics libra
ii  libgcc1              1:4.4.5-8           GCC support library
ii  libgfortran3         4.4.5-8             Runtime library for GNU Fortran ap
ii  libglib2.0-0         2.24.2-1            The GLib library of C routines
ii  libgomp1             4.4.5-8             GCC OpenMP (GOMP) support library
ii  libice6              2:1.0.6-2           X11 Inter-Client Exchange library
ii  libjpeg62            6b1-1               The Independent JPEG Group's JPEG 
ii  liblapack3gf [liblap 3.2.1-8             library of linear algebra routines
ii  liblzma2             5.0.0-2             XZ-format compression library
ii  libpango1.0-0        1.28.3-1+squeeze2   Layout and rendering of internatio
ii  libpaper-utils       1.1.24              library for handling paper charact
ii  libpng12-0           1.2.44-1+squeeze4   PNG library - runtime
ii  libreadline6         6.1-3               GNU readline and history libraries
ii  libsm6               2:1.1.1-1           X11 Session Management library
ii  libtiff4             3.9.4-5+squeeze9    Tag Image File Format (TIFF) libra
ii  libx11-6             2:1.3.3-4+squeeze1  X11 client-side library
ii  libxext6             2:1.1.2-1+squeeze1  X11 miscellaneous extension librar
ii  libxss1              1:1.2.0-2           X11 Screen Saver extension library
ii  libxt6               1:1.0.7-1+squeeze1  X11 toolkit intrinsics library
ii  tcl8.5               8.5.8-2             Tcl (the Tool Command Language) v8
ii  tk8.5                8.5.8-1             Tk toolkit for Tcl and X11, v8.5 -
ii  ucf                  3.0025+nmu1         Update Configuration File: preserv
ii  unzip                6.0-4               De-archiver for .zip files
ii  xdg-utils            1.0.2+cvs20100307-2 desktop integration utilities from
ii  zip                  3.0-3               Archiver for .zip files
ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime

Versions of packages r-base-core recommends:
ii  r-base-dev        3.0.1-3~squeezecran3.0 GNU R installation of auxiliary GN
ii  r-doc-html        3.0.1-3~squeezecran3.0 GNU R html manuals for statistical
ii  r-recommended     3.0.1-3~squeezecran3.0 GNU R collection of recommended pa

Versions of packages r-base-core suggests:
pn  ess               <none>                 (no description available)
ii  r-base-html       3.0.1-3~squeezecran3.0 GNU R html docs for statistical co
ii  r-doc-info        3.0.1-3~squeezecran3.0 GNU R info manuals statistical com
ii  r-doc-pdf         3.0.1-3~squeezecran3.0 GNU R pdf manuals for statistical 
ii  r-mathlib         3.0.1-3~squeezecran3.0 GNU R standalone mathematics libra

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Tue, 27 Aug 2013 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Tue, 27 Aug 2013 22:15:04 GMT) Full text and rfc822 format available.

Message #70 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>, 695411@bugs.debian.org
Subject: Bug#695411: r-base-core: Failure depends on locale settings
Date: Tue, 27 Aug 2013 17:13:25 -0500
On 27 August 2013 at 21:21, Johannes Ranke wrote:
| Package: r-base-core
| Version: 3.0.1-3~squeezecran3.0
| Severity: normal
| 
| The failure to load the datasets, as well as the wrong behaviour of sub depends on 
| the locale settings. I get correct behaviour when exporting LANG=de_DE.UTF-8 before 
| starting R. R 2.11.1 from squeeze is not affected. However, this happens with my
| backports of R 3.0.1 to squeeze as well as in a sid chroot.
| 
| <<start transcript>>
| 
| (sid)ranke@qnap:~$ echo $LANG
| 
| (sid)ranke@qnap:~$ R
| 
| R version 3.0.1 (2013-05-16) -- "Good Sport"
| Copyright (C) 2013 The R Foundation for Statistical Computing
| Platform: arm-unknown-linux-gnueabi (32-bit)
| 
| .... some content removed ...
| 
| Type 'q()' to quit R.
| 
| > data(Loblolly)
| Warning message:
| In data(Loblolly) : data set 'Loblolly' not found
| > quit()
| Save workspace image? [y/n/c]: n
| (sid)ranke@qnap:~$ export LANG=de_DE.UTF-8
| (sid)ranke@qnap:~$ R
| 
| R version 3.0.1 (2013-05-16) -- "Good Sport"
| Copyright (C) 2013 The R Foundation for Statistical Computing
| Platform: arm-unknown-linux-gnueabi (32-bit)
| 
| .... some content removed ...
| 
| Tippen Sie 'q()', um R zu verlassen.
| 
| > data(Loblolly)
| > 
| 
| <<end transcript>>
| 
| I believe the behaviour of sub() (it behaves incorrectly with an empty $LANG)
| should not depend on the locale setting. 


edd@max:~$ LANG= R -q -e 'data(Loblolly); head(Loblolly)'
R> data(Loblolly); head(Loblolly)
   height age Seed
1    4.51   3  301
15  10.89   5  301
29  28.72  10  301
43  41.74  15  301
57  52.70  20  301
71  60.92  25  301
R> 
R> 
edd@max:~$ 

Works here. Also:


edd@max:~$ LANG= R -q -e 'print(Sys.getenv("LANG"))'
R> print(Sys.getenv("LANG"))
[1] ""
R> 
R> 
edd@max:~$ 


Could that been an issue with the backport?

Dirk

| 
| For anyone interested, this may or may not be related to R bug
| 
| 	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=14408
| 
| and its duplicate
| 
| 	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=14984
| 
| for which a workaround has been introduced in R 2.14.2. Citing the NEWS file
| 
| 	There is a partial workaround for errors in the TRE regular-expressions
| 	engine with named classes and repeat counts of at least 2 in a MBCS
| 	locale (PR#14408): these are avoided when TRE is in 8-bit mode (e.g. for
| 	useBytes = TRUE and when all the data are ASCII). 
| 
| There is a hint in the R bugzilla that the problem causing this bug (#695411) can be avoided when the
| original TRE sources are used instead of the version shipped with R:
| 
| 	https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087 (comment 1)
| 
| (all?) changes introduced in the R version of TRE are documented here:
| 
| 	https://svn.r-project.org/R/trunk/src/extra/tre/R_changes
| 
| Some more information can be found in the log files
| 
| 	svn log -v https://svn.r-project.org/R/trunk/src/extra/tre
| 
| Maybe it is also of interest that the TRE author appears to be active again:
| 
| 	https://github.com/laurikari/tre
| 
| At the moment, it seems to me that TRE should not be the default regular
| expression engine on ARM, as its behaviour depends on the value of $LANG
| (probably only on the character map, UTF-8 or not), leading to this bug, but
| most probably also to other problems that may be more difficult to spot.
| 
| Kind regards,
| 
| Johannes
| 
| 
| -- System Information:
| Debian Release: 6.0.7
|   APT prefers oldstable
|   APT policy: (500, 'oldstable')
| Architecture: armel (armv5tel)
| 
| Kernel: Linux 2.6.32-5-kirkwood
| Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
| Shell: /bin/sh linked to /bin/dash
| 
| Versions of packages r-base-core depends on:
| ii  libblas3gf [libblas. 1.2-8               Basic Linear Algebra Reference imp
| ii  libc6                2.11.3-4            Embedded GNU C Library: Shared lib
| ii  libcairo2            1.8.10-6            The Cairo 2D vector graphics libra
| ii  libgcc1              1:4.4.5-8           GCC support library
| ii  libgfortran3         4.4.5-8             Runtime library for GNU Fortran ap
| ii  libglib2.0-0         2.24.2-1            The GLib library of C routines
| ii  libgomp1             4.4.5-8             GCC OpenMP (GOMP) support library
| ii  libice6              2:1.0.6-2           X11 Inter-Client Exchange library
| ii  libjpeg62            6b1-1               The Independent JPEG Group's JPEG 
| ii  liblapack3gf [liblap 3.2.1-8             library of linear algebra routines
| ii  liblzma2             5.0.0-2             XZ-format compression library
| ii  libpango1.0-0        1.28.3-1+squeeze2   Layout and rendering of internatio
| ii  libpaper-utils       1.1.24              library for handling paper charact
| ii  libpng12-0           1.2.44-1+squeeze4   PNG library - runtime
| ii  libreadline6         6.1-3               GNU readline and history libraries
| ii  libsm6               2:1.1.1-1           X11 Session Management library
| ii  libtiff4             3.9.4-5+squeeze9    Tag Image File Format (TIFF) libra
| ii  libx11-6             2:1.3.3-4+squeeze1  X11 client-side library
| ii  libxext6             2:1.1.2-1+squeeze1  X11 miscellaneous extension librar
| ii  libxss1              1:1.2.0-2           X11 Screen Saver extension library
| ii  libxt6               1:1.0.7-1+squeeze1  X11 toolkit intrinsics library
| ii  tcl8.5               8.5.8-2             Tcl (the Tool Command Language) v8
| ii  tk8.5                8.5.8-1             Tk toolkit for Tcl and X11, v8.5 -
| ii  ucf                  3.0025+nmu1         Update Configuration File: preserv
| ii  unzip                6.0-4               De-archiver for .zip files
| ii  xdg-utils            1.0.2+cvs20100307-2 desktop integration utilities from
| ii  zip                  3.0-3               Archiver for .zip files
| ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime
| 
| Versions of packages r-base-core recommends:
| ii  r-base-dev        3.0.1-3~squeezecran3.0 GNU R installation of auxiliary GN
| ii  r-doc-html        3.0.1-3~squeezecran3.0 GNU R html manuals for statistical
| ii  r-recommended     3.0.1-3~squeezecran3.0 GNU R collection of recommended pa
| 
| Versions of packages r-base-core suggests:
| pn  ess               <none>                 (no description available)
| ii  r-base-html       3.0.1-3~squeezecran3.0 GNU R html docs for statistical co
| ii  r-doc-info        3.0.1-3~squeezecran3.0 GNU R info manuals statistical com
| ii  r-doc-pdf         3.0.1-3~squeezecran3.0 GNU R pdf manuals for statistical 
| ii  r-mathlib         3.0.1-3~squeezecran3.0 GNU R standalone mathematics libra
| 
| -- no debconf information

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Wed, 28 Aug 2013 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Wed, 28 Aug 2013 07:00:04 GMT) Full text and rfc822 format available.

Message #75 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Wed, 28 Aug 2013 08:57:33 +0200
> edd@max:~$ LANG= R -q -e 'data(Loblolly); head(Loblolly)'
> R> data(Loblolly); head(Loblolly)
>    height age Seed
> 1    4.51   3  301
> 15  10.89   5  301
> 29  28.72  10  301
> 43  41.74  15  301
> 57  52.70  20  301
> 71  60.92  25  301
> R> 
> R> 
> edd@max:~$ 
> 
> Works here. Also:
> 
> 
> edd@max:~$ LANG= R -q -e 'print(Sys.getenv("LANG"))'
> R> print(Sys.getenv("LANG"))
> [1] ""
> R> 
> R> 
> edd@max:~$ 
> 
> 
> Could that been an issue with the backport?
> 
> Dirk

The issue only appears on the ARM architecture, did you get a chance to
check on an ARM box?

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Wed, 28 Aug 2013 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Wed, 28 Aug 2013 11:15:09 GMT) Full text and rfc822 format available.

Message #80 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>
Cc: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Wed, 28 Aug 2013 06:14:23 -0500
On 28 August 2013 at 08:57, Johannes Ranke wrote:
| > edd@max:~$ LANG= R -q -e 'data(Loblolly); head(Loblolly)'
| > R> data(Loblolly); head(Loblolly)
| >    height age Seed
| > 1    4.51   3  301
| > 15  10.89   5  301
| > 29  28.72  10  301
| > 43  41.74  15  301
| > 57  52.70  20  301
| > 71  60.92  25  301
| > R> 
| > R> 
| > edd@max:~$ 
| > 
| > Works here. Also:
| > 
| > 
| > edd@max:~$ LANG= R -q -e 'print(Sys.getenv("LANG"))'
| > R> print(Sys.getenv("LANG"))
| > [1] ""
| > R> 
| > R> 
| > edd@max:~$ 
| > 
| > 
| > Could that been an issue with the backport?
| > 
| > Dirk
| 
| The issue only appears on the ARM architecture, did you get a chance to
| check on an ARM box?

Oh, sorry, I missed that.  I don't think I have access to an Arm box with R.
And I had thought your patch had addressed that?  I think I am still applying
the patch.

Is this report something we should keep here, or file on the R Bugzilla system?

Dirk

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Wed, 28 Aug 2013 11:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Wed, 28 Aug 2013 11:36:12 GMT) Full text and rfc822 format available.

Message #85 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Wed, 28 Aug 2013 13:34:04 +0200
On Wed, Aug 28, 2013 at 06:14:23AM -0500, Dirk Eddelbuettel wrote:
> 
> Oh, sorry, I missed that.  I don't think I have access to an Arm box with R.
> And I had thought your patch had addressed that?  I think I am still applying
> the patch.

mhm, for this bug there was never a patch, only an incomplete test case
where I had hoped to get to the cause of the problem. There was another
problem on arm where the broken regex was the cause, and that was
addressed by an architecture dependent workaround patch using PCRE=TRUE
to avoid the TRE regex engine.
  
> Is this report something we should keep here, or file on the R Bugzilla system?

As the bug http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
that I think has the same cause was closed as being not reproducible, I
would prefer to know that someone can reproduce the problem before we
reopen the bug report of file a new, more precise one. Although it is
possible that the bug 15087 was only not reproducible because of the
character map setting that affects it.

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Wed, 28 Aug 2013 12:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Wed, 28 Aug 2013 12:12:09 GMT) Full text and rfc822 format available.

Message #90 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>
Cc: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Wed, 28 Aug 2013 07:07:54 -0500
On 28 August 2013 at 13:34, Johannes Ranke wrote:
| On Wed, Aug 28, 2013 at 06:14:23AM -0500, Dirk Eddelbuettel wrote:
| > 
| > Oh, sorry, I missed that.  I don't think I have access to an Arm box with R.
| > And I had thought your patch had addressed that?  I think I am still applying
| > the patch.
| 
| mhm, for this bug there was never a patch, only an incomplete test case
| where I had hoped to get to the cause of the problem. There was another

My bad. I confused that.

| problem on arm where the broken regex was the cause, and that was
| addressed by an architecture dependent workaround patch using PCRE=TRUE
| to avoid the TRE regex engine.
|   
| > Is this report something we should keep here, or file on the R Bugzilla system?
| 
| As the bug http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
| that I think has the same cause was closed as being not reproducible, I
| would prefer to know that someone can reproduce the problem before we
| reopen the bug report of file a new, more precise one. Although it is
| possible that the bug 15087 was only not reproducible because of the
| character map setting that affects it.

I see.

It would be good if you could get some help, ideally from someone on
arm. Maybe you could contact the testers/porters? That doesn't always
help. Ideally we would also get help from R Core but I don't know how much
arm access they have.  "In theory" I should be able to get access to a Debian
arm box but I am a little constrained too (just like everybody else :-/)

Dirk

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Thu, 29 Aug 2013 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Thu, 29 Aug 2013 06:39:04 GMT) Full text and rfc822 format available.

Message #95 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Thu, 29 Aug 2013 08:34:48 +0200
> | > Is this report something we should keep here, or file on the R Bugzilla system?
> | 
> | As the bug http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
> | that I think has the same cause was closed as being not reproducible, I
> | would prefer to know that someone can reproduce the problem before we
> | reopen the bug report of file a new, more precise one. Although it is
> | possible that the bug 15087 was only not reproducible because of the
> | character map setting that affects it.

I added some more information to the R bugzilla, including a link to the
build logs where the problem is obvious if you search for "data set".

> It would be good if you could get some help, ideally from someone on
> arm. Maybe you could contact the testers/porters? That doesn't always
> help. Ideally we would also get help from R Core but I don't know how much
> arm access they have.  "In theory" I should be able to get access to a Debian
> arm box but I am a little constrained too (just like everybody else :-/)

Do you have a point of contact that would seem appropriate?

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Thu, 29 Aug 2013 14:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Thu, 29 Aug 2013 14:18:09 GMT) Full text and rfc822 format available.

Message #100 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Johannes Ranke <jranke@uni-bremen.de>
Cc: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Thu, 29 Aug 2013 09:17:20 -0500
On 29 August 2013 at 08:34, Johannes Ranke wrote:
| > | > Is this report something we should keep here, or file on the R Bugzilla system?
| > | 
| > | As the bug http://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15087
| > | that I think has the same cause was closed as being not reproducible, I
| > | would prefer to know that someone can reproduce the problem before we
| > | reopen the bug report of file a new, more precise one. Although it is
| > | possible that the bug 15087 was only not reproducible because of the
| > | character map setting that affects it.
| 
| I added some more information to the R bugzilla, including a link to the
| build logs where the problem is obvious if you search for "data set".
| 
| > It would be good if you could get some help, ideally from someone on
| > arm. Maybe you could contact the testers/porters? That doesn't always
| > help. Ideally we would also get help from R Core but I don't know how much
| > arm access they have.  "In theory" I should be able to get access to a Debian
| > arm box but I am a little constrained too (just like everybody else :-/)
| 
| Do you have a point of contact that would seem appropriate?

Not really.  The porters mailing list (ie "debian-arm") may be the best bet.
Maybe peruse the archive and see if you can contact one or two of the active
participants.  Those tend to be busy people though :-/

Do we know if anyone at R Core has arm access?  I sort-of doubt it...

What device are you running this one again?

Dirk

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Fri, 30 Aug 2013 06:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Fri, 30 Aug 2013 06:06:04 GMT) Full text and rfc822 format available.

Message #105 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 695411@bugs.debian.org
Subject: Re: Bug#695411: r-base-core: Failure depends on locale settings
Date: Fri, 30 Aug 2013 08:02:57 +0200
On Thu, Aug 29, 2013 at 09:17:20AM -0500, Dirk Eddelbuettel wrote:

> | > It would be good if you could get some help, ideally from someone on
> | > arm. Maybe you could contact the testers/porters? That doesn't always
> | > help. Ideally we would also get help from R Core but I don't know how much
> | > arm access they have.  "In theory" I should be able to get access to a Debian
> | > arm box but I am a little constrained too (just like everybody else :-/)
> | 
> | Do you have a point of contact that would seem appropriate?
> 
> Not really.  The porters mailing list (ie "debian-arm") may be the best bet.
> Maybe peruse the archive and see if you can contact one or two of the active
> participants.  Those tend to be busy people though :-/

I imagine so...
 
> Do we know if anyone at R Core has arm access?  I sort-of doubt it...

No idea.
 
> What device are you running this one again?

A QNAP NAS device (TS-219-PII) with a Marwell CPU from the kirkwood series. 



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Fri, 31 Jan 2014 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Fri, 31 Jan 2014 21:27:04 GMT) Full text and rfc822 format available.

Message #110 received at 695411@bugs.debian.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: 695411@bugs.debian.org
Subject: R sub() on arm
Date: Fri, 31 Jan 2014 13:42:50 -0700
FYI https://bugs.r-project.org/bugzilla/show_bug.cgi?id=15087#c12 -

I've been trying to get this fixed in Fedora.  My preferred solution would be
for the tre library to accept the R modifications so that R could be built
against a system tre library (which is a core goal of the Fedora project).
I've made this request here:

https://github.com/laurikari/tre/pull/14

This does not encompass all of the R changes to tre, but it does add the
missing routines so that R can be compiled against it.

I built this version of the tre library on arm, built R against it, and
confirmed that the problem is then fixed.

Another solution might be to merge in the current tre library into the R
version as the upstream tre library does not appear to suffer from this
problem.  It is also possible that some other R modification to tre causes
this issue as well.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Sat, 01 Feb 2014 14:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Sat, 01 Feb 2014 14:15:10 GMT) Full text and rfc822 format available.

Message #115 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Orion Poplawski <orion@cora.nwra.com>, 695411@bugs.debian.org, Johannes Ranke <jranke@uni-bremen.de>
Subject: Re: Bug#695411: R sub() on arm
Date: Sat, 1 Feb 2014 08:13:35 -0600
Orion,

On 31 January 2014 at 13:42, Orion Poplawski wrote:
| FYI https://bugs.r-project.org/bugzilla/show_bug.cgi?id=15087#c12 -
| 
| I've been trying to get this fixed in Fedora.  My preferred solution would be
| for the tre library to accept the R modifications so that R could be built
| against a system tre library (which is a core goal of the Fedora project).
| I've made this request here:
| 
| https://github.com/laurikari/tre/pull/14
| 
| This does not encompass all of the R changes to tre, but it does add the
| missing routines so that R can be compiled against it.
| 
| I built this version of the tre library on arm, built R against it, and
| confirmed that the problem is then fixed.
| 
| Another solution might be to merge in the current tre library into the R
| version as the upstream tre library does not appear to suffer from this
| problem.  It is also possible that some other R modification to tre causes
| this issue as well.

Thanks for that follow-up. I was unaware of this bug report over there.

I thought I did file the patch we have been applying (and which I got from
Johannes, who participated in the bugzilla discussion you point to, and whom
I CC'ed here) as a bugzilla bug report. But I don't find it now :-/

In any event -- I can't help much beyond patchin the Debian package, and we
can only hope R Core eventually acts. So we need to keep some pressure on
them.

Dirk

| 
| 
| -- 
| Orion Poplawski
| Technical Manager                     303-415-9701 x222
| NWRA, Boulder/CoRA Office             FAX: 303-415-9702
| 3380 Mitchell Lane                       orion@nwra.com
| Boulder, CO 80301                   http://www.nwra.com

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Sat, 01 Feb 2014 18:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Sat, 01 Feb 2014 18:51:15 GMT) Full text and rfc822 format available.

Message #120 received at 695411@bugs.debian.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org, Johannes Ranke <jranke@uni-bremen.de>
Subject: Re: Bug#695411: R sub() on arm
Date: Sat, 01 Feb 2014 11:47:19 -0700
On 02/01/2014 07:13 AM, Dirk Eddelbuettel wrote:
> 
> Orion,
> 
> On 31 January 2014 at 13:42, Orion Poplawski wrote:
> | FYI https://bugs.r-project.org/bugzilla/show_bug.cgi?id=15087#c12 -
> | 
> | I've been trying to get this fixed in Fedora.  My preferred solution would be
> | for the tre library to accept the R modifications so that R could be built
> | against a system tre library (which is a core goal of the Fedora project).
> | I've made this request here:
> | 
> | https://github.com/laurikari/tre/pull/14
> | 
> | This does not encompass all of the R changes to tre, but it does add the
> | missing routines so that R can be compiled against it.
> | 
> | I built this version of the tre library on arm, built R against it, and
> | confirmed that the problem is then fixed.
> | 
> | Another solution might be to merge in the current tre library into the R
> | version as the upstream tre library does not appear to suffer from this
> | problem.  It is also possible that some other R modification to tre causes
> | this issue as well.
> 
> Thanks for that follow-up. I was unaware of this bug report over there.
> 
> I thought I did file the patch we have been applying (and which I got from
> Johannes, who participated in the bugzilla discussion you point to, and whom
> I CC'ed here) as a bugzilla bug report. But I don't find it now :-/
> 
> In any event -- I can't help much beyond patchin the Debian package, and we
> can only hope R Core eventually acts. So we need to keep some pressure on
> them.
> 
> Dirk

Just to be painfully explicit - the Fedora R package already carries
your patch to allow R itself to compile on arm.  But we still need to
fix the tre library in R to allow it to work on arm.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#695411; Package r-base-core. (Sat, 01 Feb 2014 19:06:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Sat, 01 Feb 2014 19:06:24 GMT) Full text and rfc822 format available.

Message #125 received at 695411@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Orion Poplawski <orion@cora.nwra.com>
Cc: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org, Johannes Ranke <jranke@uni-bremen.de>
Subject: Re: Bug#695411: R sub() on arm
Date: Sat, 1 Feb 2014 13:05:19 -0600
On 1 February 2014 at 11:47, Orion Poplawski wrote:
| Just to be painfully explicit - the Fedora R package already carries
| your patch to allow R itself to compile on arm.  

I see.

| But we still need to | fix the tre library in R 

Sorry: "fix in R" or fix on Github?

| to allow it to work on arm.

Dirk

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Sat, 01 Feb 2014 19:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Sat, 01 Feb 2014 19:15:10 GMT) Full text and rfc822 format available.

Message #130 received at 695411@bugs.debian.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 695411@bugs.debian.org, Johannes Ranke <jranke@uni-bremen.de>
Subject: Re: Bug#695411: R sub() on arm
Date: Sat, 01 Feb 2014 12:12:40 -0700
On 02/01/2014 12:05 PM, Dirk Eddelbuettel wrote:
> 
> On 1 February 2014 at 11:47, Orion Poplawski wrote:
> | But we still need to | fix the tre library in R 
> 
> Sorry: "fix in R" or fix on Github?
> 

Well, either :).  As I said before, my preference would be for the tre
library to accept the R modifications so we can build R against it.  But
they might not, at which point the tre library copy in R needs to be fixed.

> | to allow it to work on arm.
> 
> Dirk





-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Sat, 01 Feb 2014 19:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ranke <jranke@uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Sat, 01 Feb 2014 19:15:14 GMT) Full text and rfc822 format available.

Message #135 received at 695411@bugs.debian.org (full text, mbox):

From: Johannes Ranke <jranke@uni-bremen.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: Orion Poplawski <orion@cora.nwra.com>, 695411@bugs.debian.org
Subject: Re: Bug#695411: R sub() on arm
Date: Sat, 01 Feb 2014 19:50:23 +0100
Hi Dirk,

I am only aware of a patch by someone that worked around this problem for a 
FTBFS, but Orion seems to have gone to the root of the problem.

If tre would accept his patch and R core would make it possible to specify the 
system tre library as a configure option, this would be perfect!

Johannes

Am Samstag, 1. Februar 2014, 08:13:35 schrieb Dirk Eddelbuettel:
> Orion,
> 
> On 31 January 2014 at 13:42, Orion Poplawski wrote:
> | FYI https://bugs.r-project.org/bugzilla/show_bug.cgi?id=15087#c12 -
> | 
> | I've been trying to get this fixed in Fedora.  My preferred solution would
> | be for the tre library to accept the R modifications so that R could be
> | built against a system tre library (which is a core goal of the Fedora
> | project). I've made this request here:
> | 
> | https://github.com/laurikari/tre/pull/14
> | 
> | This does not encompass all of the R changes to tre, but it does add the
> | missing routines so that R can be compiled against it.
> | 
> | I built this version of the tre library on arm, built R against it, and
> | confirmed that the problem is then fixed.
> | 
> | Another solution might be to merge in the current tre library into the R
> | version as the upstream tre library does not appear to suffer from this
> | problem.  It is also possible that some other R modification to tre causes
> | this issue as well.
> 
> Thanks for that follow-up. I was unaware of this bug report over there.
> 
> I thought I did file the patch we have been applying (and which I got from
> Johannes, who participated in the bugzilla discussion you point to, and whom
> I CC'ed here) as a bugzilla bug report. But I don't find it now :-/
> 
> In any event -- I can't help much beyond patchin the Debian package, and we
> can only hope R Core eventually acts. So we need to keep some pressure on
> them.
> 
> Dirk
> 
> | --
> | Orion Poplawski
> | Technical Manager                     303-415-9701 x222
> | NWRA, Boulder/CoRA Office             FAX: 303-415-9702
> | 3380 Mitchell Lane                       orion@nwra.com
> | Boulder, CO 80301                   http://www.nwra.com




Information forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#695411; Package r-base-core. (Fri, 07 Feb 2014 21:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Fri, 07 Feb 2014 21:27:15 GMT) Full text and rfc822 format available.

Message #140 received at 695411@bugs.debian.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Dirk Eddelbuettel <edd@debian.org>, 695411@bugs.debian.org, Johannes Ranke <jranke@uni-bremen.de>
Subject: Re: Bug#695411: R sub() on arm
Date: Fri, 07 Feb 2014 14:24:46 -0700

FYI - We've submitted a request to R to add --with-system-tre to R's configure
to allow the use of a patched system tre library.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:15:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.